Arbor 3: FSM & BT Graph Editor 3.7.8

Public Types | Public Member Functions | Public Attributes | List of all members
GroupNode Class Reference

Class that represents the group node More...

Inheritance diagram for GroupNode:

## Public Types
enum | AutoAlignment { None = 0, Vertical, Horizonal }
| Auto Alignment More...

## Public Member Functions
| GroupNode (NodeGraph nodeGraph, int nodeID)
| GroupNode constructor More...
override string | GetName ()
| Get node name. More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Node constructor More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| Check if it contains NodeBehaviour. More...
virtual bool | IsDeletable ()
| Returns whether or not it can be deleted. More...
override string | ToString ()
| Convert node to string (for debugging). More...

## Public Attributes
string | name = "New Group"
| The name of the group node. More...
Color | color = Color.white
| Node color More...
AutoAlignment | autoAlignment = AutoAlignment.None
| Auto Layout More...
Public Attributes inherited from Node
Rect | position
| Position on the Arbor Editor. More...
bool | showComment
| Whether to display comments More...
string | nodeComment
| Comment More...

## Additional Inherited Members
Protected Member Functions inherited from Node
virtual void | OnGraphChanged ()
| Called when the NodeGraph to which the Node belongs has changed. More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...
Properties inherited from ISerializeVersionCallbackReceiver
int | newestVersion`[get]`
| newest version More...

## Detailed Description

Class that represents the group node

## Member Enumeration Documentation

## ◆ AutoAlignment

enum AutoAlignment
| strong

Auto Alignment

Enumerator
None | None
Vertical | Vertical
Horizonal | Horizontal

## Constructor & Destructor Documentation

## ◆ GroupNode()

GroupNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

GroupNode constructor

Parameters

  nodeGraph | NodeGraph with this node
  nodeID | Node ID

Please use the NodeGraph.CreateGroup() group node creating.

## Member Function Documentation

## ◆ GetName()

override string GetName | ( |  | ) |
| virtual

Get node name.

Returns
  Node name

Reimplemented from Node.

## Member Data Documentation

## ◆ autoAlignment

AutoAlignment autoAlignment = AutoAlignment.None

Auto Layout

## ◆ color

Color color = Color.white

Node color

## ◆ name

string name = "New Group"

The name of the group node.